Index: tmp/org.txm.groovy.core/.classpath
===================================================================
--- tmp/org.txm.groovy.core/.classpath	(revision 2396)
+++ tmp/org.txm.groovy.core/.classpath	(revision 2397)
@@ -1,13 +1,15 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="src" path="src/java"/>
-	  <classpathentry exported="true" kind="lib" path="bin/"/>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="con" path="GROOVY_DSL_SUPPORT"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="src" path="src/java" />
+	<classpathentry exported="true" kind="lib" path="bin/" />
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="con" path="GROOVY_DSL_SUPPORT" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/InstallGroovyFiles.java
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/InstallGroovyFiles.java	(revision 2396)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/InstallGroovyFiles.java	(revision 2397)
@@ -18,28 +18,28 @@
  *
  */
 public class InstallGroovyFiles extends PostTXMHOMEInstallationStep {
-
-	final static String createfolders[] = {"scripts/groovy/lib", "scripts/groovy/user", "scripts/groovy/system"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 	
+	final static String createfolders[] = { "scripts/groovy/lib", "scripts/groovy/user", "scripts/groovy/system" }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+	
 	@Override
 	public boolean do_install(Workspace workspace) {
 		File txmhomedir = new File(Toolbox.getTxmHomePath());
 		
-//		String version = GroovyPreferences.getInstance().getString(GroovyPreferences.VERSION);
-//		
-//		boolean doInstall = false;
-//		Version installedVersion = BundleUtils.getBundleVersion("org.txm.groovy.core");
-//		if (version != null && version.length() > 0) {
-//			Version v = new Version(version);
-//			
-//			doInstall = v.compareTo(installedVersion) > 0;
-//			Log.fine("Groovy installed version: "+installedVersion+" preferenced version: "+v+" -> "+doInstall);
-//		} else {
-//			doInstall = true;
-//			GroovyPreferences.getInstance().put(GroovyPreferences.VERSION, installedVersion.toString());
-//		}
-//		
-//		if (!doInstall) return true; // nothing to do
+		// String version = GroovyPreferences.getInstance().getString(GroovyPreferences.VERSION);
+		//
+		// boolean doInstall = false;
+		// Version installedVersion = BundleUtils.getBundleVersion("org.txm.groovy.core");
+		// if (version != null && version.length() > 0) {
+		// Version v = new Version(version);
+		//
+		// doInstall = v.compareTo(installedVersion) > 0;
+		// Log.fine("Groovy installed version: "+installedVersion+" preferenced version: "+v+" -> "+doInstall);
+		// } else {
+		// doInstall = true;
+		// GroovyPreferences.getInstance().put(GroovyPreferences.VERSION, installedVersion.toString());
+		// }
+		//
+		// if (!doInstall) return true; // nothing to do
 		
 		for (String folder : createfolders) {
 			new File(txmhomedir, folder).mkdirs();
@@ -47,40 +47,40 @@
 		File scriptsDirectory = new File(txmhomedir, "scripts/groovy");
 		File userDirectory = new File(scriptsDirectory, "user");
 		File systemDirectory = new File(scriptsDirectory, "system");
-		Log.fine("Installing Groovy files to "+userDirectory);
+		Log.fine("Installing Groovy files to " + userDirectory);
 		
-//		HashMap<String, String> publishedImports = new HashMap<String, String>();
-//		String IMPORTERPACKAGE="org/txm/scriptsimporter/";
-//		publishedImports.put(IMPORTERPACKAGE+"alceste","alcesteLoader.groovy");
-//		publishedImports.put(IMPORTERPACKAGE+"discours","discoursLoader.groovy");
-//		publishedImports.put(IMPORTERPACKAGE+"bfm","bfmLoader.groovy");
-//		publishedImports.put(IMPORTERPACKAGE+"frantext","frantextLoader.groovy");
-//		publishedImports.put(IMPORTERPACKAGE+"hyperbase","hyperbaseLoader.groovy");
-//		publishedImports.put(IMPORTERPACKAGE+"txt","txtLoader.groovy");
-//		publishedImports.put(IMPORTERPACKAGE+"xml","xmlLoader.groovy");
-//		publishedImports.put(IMPORTERPACKAGE+"xtz","xtzLoader.groovy");
-//		publishedImports.put(IMPORTERPACKAGE+"factiva","factivaLoader.groovy");
-//		publishedImports.put(IMPORTERPACKAGE+"factiva","factivamailLoader.groovy");
-//		publishedImports.put(IMPORTERPACKAGE+"xmltxm","xmltxmLoader.groovy");
-//		publishedImports.put(IMPORTERPACKAGE+"transcriber","transcriberLoader.groovy");
-//		publishedImports.put(IMPORTERPACKAGE+"tmx","tmxLoader.groovy");
-//		publishedImports.put(IMPORTERPACKAGE+"doc","docLoader.groovy");
-//		publishedImports.put(IMPORTERPACKAGE+"cqp","cqpLoader.groovy");
-//		
-//		for (String p : publishedImports.keySet()) {
-//			BundleUtils.copyFiles(bundle_id, "src/", "groovy/"+p, publishedImports.get(p), importDirectory);
-//		}
-//		
-//		// copy published macros
-//		macroDirectory.mkdirs();
-//		BundleUtils.copyFiles(bundle_id, "src/", "groovy/org/txm", "macro/", macroDirectory);
-//		
-//		// copy sample Groovy scripts
-//		BundleUtils.copyFiles(bundle_id, "src/", "groovy/org/txm", "export/", samplesDirectory);
-//		BundleUtils.copyFiles(bundle_id, "src/", "groovy/org/txm", "functions/", samplesDirectory);
-//		BundleUtils.copyFiles(bundle_id, "src/", "groovy/org/txm", "importer/", samplesDirectory);
-//		BundleUtils.copyFiles(bundle_id, "src/", "groovy/org/txm", "sw/", samplesDirectory);
-//		BundleUtils.copyFiles(bundle_id, "src/", "groovy/org/txm", "tal/", samplesDirectory);
+		// HashMap<String, String> publishedImports = new HashMap<String, String>();
+		// String IMPORTERPACKAGE="org/txm/scriptsimporter/";
+		// publishedImports.put(IMPORTERPACKAGE+"alceste","alcesteLoader.groovy");
+		// publishedImports.put(IMPORTERPACKAGE+"discours","discoursLoader.groovy");
+		// publishedImports.put(IMPORTERPACKAGE+"bfm","bfmLoader.groovy");
+		// publishedImports.put(IMPORTERPACKAGE+"frantext","frantextLoader.groovy");
+		// publishedImports.put(IMPORTERPACKAGE+"hyperbase","hyperbaseLoader.groovy");
+		// publishedImports.put(IMPORTERPACKAGE+"txt","txtLoader.groovy");
+		// publishedImports.put(IMPORTERPACKAGE+"xml","xmlLoader.groovy");
+		// publishedImports.put(IMPORTERPACKAGE+"xtz","xtzLoader.groovy");
+		// publishedImports.put(IMPORTERPACKAGE+"factiva","factivaLoader.groovy");
+		// publishedImports.put(IMPORTERPACKAGE+"factiva","factivamailLoader.groovy");
+		// publishedImports.put(IMPORTERPACKAGE+"xmltxm","xmltxmLoader.groovy");
+		// publishedImports.put(IMPORTERPACKAGE+"transcriber","transcriberLoader.groovy");
+		// publishedImports.put(IMPORTERPACKAGE+"tmx","tmxLoader.groovy");
+		// publishedImports.put(IMPORTERPACKAGE+"doc","docLoader.groovy");
+		// publishedImports.put(IMPORTERPACKAGE+"cqp","cqpLoader.groovy");
+		//
+		// for (String p : publishedImports.keySet()) {
+		// BundleUtils.copyFiles(bundle_id, "src/", "groovy/"+p, publishedImports.get(p), importDirectory);
+		// }
+		//
+		// // copy published macros
+		// macroDirectory.mkdirs();
+		// BundleUtils.copyFiles(bundle_id, "src/", "groovy/org/txm", "macro/", macroDirectory);
+		//
+		// // copy sample Groovy scripts
+		// BundleUtils.copyFiles(bundle_id, "src/", "groovy/org/txm", "export/", samplesDirectory);
+		// BundleUtils.copyFiles(bundle_id, "src/", "groovy/org/txm", "functions/", samplesDirectory);
+		// BundleUtils.copyFiles(bundle_id, "src/", "groovy/org/txm", "importer/", samplesDirectory);
+		// BundleUtils.copyFiles(bundle_id, "src/", "groovy/org/txm", "sw/", samplesDirectory);
+		// BundleUtils.copyFiles(bundle_id, "src/", "groovy/org/txm", "tal/", samplesDirectory);
 		
 		String bundle_id = "org.txm.groovy.core";
 		BundleUtils.copyFiles(bundle_id, "", "src/groovy", "", userDirectory);
@@ -92,20 +92,21 @@
 		
 		try {
 			FileCopy.copyFiles(userDirectory, systemDirectory);
-			Log.fine("Copying user Groovy files to "+systemDirectory);
-		} catch (IOException e) {
+			Log.fine("Copying user Groovy files to " + systemDirectory);
+		}
+		catch (IOException e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
 		
 		return scriptsDirectory.exists();
 	}
-
+	
 	@Override
 	public String getName() {
 		return "Groovy (org.txm.groovy.core)";
 	}
-
+	
 	@Override
 	public boolean needsReinstall(Workspace workspace) {
 		File txmhomedir = new File(Toolbox.getTxmHomePath());
Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 2396)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 2397)
@@ -32,11 +32,11 @@
 import groovy.lang.Script;
 
 public class GroovyScriptedImportEngine extends ScriptedImportEngine {
-
+	
 	File importer, compiler, pager, annotate;
 	
 	public GroovyScriptedImportEngine(File directory) {
-		super(directory.getName(), new File(directory, directory.getName()+"Loader.groovy"));
+		super(directory.getName(), new File(directory, directory.getName() + "Loader.groovy"));
 		importer = new File(directory, "importer.groovy");
 		compiler = new File(directory, "compiler.groovy");
 		pager = new File(directory, "pager.groovy");
@@ -65,115 +65,122 @@
 			
 			if (project.getDoUpdate()) {
 				// drop CorpusBuild and Editions
-//				List<? extends CorpusBuild> corpora = project.getCorpora();
-//				while (project.getCorpora().size() > 0) {
-//					CorpusBuild c = project.getCorpora().get(0);
-//					c.delete();
-//				}
-//				List<Text> texts = project.getTexts();
-//				for (Text t : texts) {
-//					while (t.getEditions().size() > 0) {
-//						Edition ed = t.getEditions().get(0);
-//						ed.delete();
-//					}
-//				}
-			} else {
+				// List<? extends CorpusBuild> corpora = project.getCorpora();
+				// while (project.getCorpora().size() > 0) {
+				// CorpusBuild c = project.getCorpora().get(0);
+				// c.delete();
+				// }
+				// List<Text> texts = project.getTexts();
+				// for (Text t : texts) {
+				// while (t.getEditions().size() > 0) {
+				// Edition ed = t.getEditions().get(0);
+				// ed.delete();
+				// }
+				// }
+			}
+			else {
 				// clear all children
 				while (project.getChildren().size() > 0) {
 					TXMResult child = project.getChildren().get(0);
 					child.delete();
 				}
 			}
-
+			
 			// the binary directory which is going to be created
-
-//			final File basedir = project.getProjectDirectory();
-//			final File tempBinDirectory = new File(basedir.getAbsolutePath()+"_temp"); //$NON-NLS-1$
-//			final File errorBinDirectory = new File(basedir.getAbsolutePath()+"_error"); //$NON-NLS-1$
-//			if (tempBinDirectory.exists()) DeleteDir.deleteDirectory(tempBinDirectory);
-//			if (errorBinDirectory.exists()) DeleteDir.deleteDirectory(errorBinDirectory);
-
-			//this.setCurrentMonitor(monitor);
+			
+			// final File basedir = project.getProjectDirectory();
+			// final File tempBinDirectory = new File(basedir.getAbsolutePath()+"_temp"); //$NON-NLS-1$
+			// final File errorBinDirectory = new File(basedir.getAbsolutePath()+"_error"); //$NON-NLS-1$
+			// if (tempBinDirectory.exists()) DeleteDir.deleteDirectory(tempBinDirectory);
+			// if (errorBinDirectory.exists()) DeleteDir.deleteDirectory(errorBinDirectory);
+			
+			// this.setCurrentMonitor(monitor);
 			monitor.beginTask("Importing sources " + project.getSrcdir(), 100); //$NON-NLS-1$
-
-			//org.txm.Toolbox.shutdownSearchEngine();
+			
+			// org.txm.Toolbox.shutdownSearchEngine();
 			monitor.worked(5);
-
+			
 			GSERunner gse = GSERunner.buildDefaultGSE();
-
+			
 			Binding binding = new Binding();
 			binding.setProperty("projectBinding", project); //$NON-NLS-1$
 			binding.setProperty("monitor", new GroovyProgressMonitor(monitor)); //$NON-NLS-1$
-
-			boolean logLevel = Log.getLevel().intValue() < Level.INFO.intValue();			
+			
+			boolean logLevel = Log.getLevel().intValue() < Level.INFO.intValue();
 			binding.setProperty("debug", logLevel); //$NON-NLS-1$
 			binding.setProperty("readyToLoad", Boolean.FALSE); //$NON-NLS-1$
-			//System.out.println("script="+script);
-
+			// System.out.println("script="+script);
+			
 			TokenizerClasses.reset();
 			if (!TokenizerClasses.loadFromProject(project.getPreferencesScope())) {
 				Log.severe("Error: failed to load tokenizer parameters");
 				monitor.done();
-//				if (basedir.exists()) basedir.renameTo(errorBinDirectory);
-//				if (tempBinDirectory.exists()) tempBinDirectory.renameTo(basedir);
+				// if (basedir.exists()) basedir.renameTo(errorBinDirectory);
+				// if (tempBinDirectory.exists()) tempBinDirectory.renameTo(basedir);
 				return Status.CANCEL_STATUS;
 			}
-
+			
 			ExecTimer.start();
 			Log.info(NLS.bind("Compiling {0} import module...", project.getImportModuleName()));
 			Script s = gse.createScript(mainScript.toURI().toURL().toString(), binding);
 			Log.info(NLS.bind(GroovyMessages.startingTheP0importModule, project.getImportModuleName()));
 			s.run(); // run the groovy import script
 			monitor.worked(90);
-
+			
 			TokenizerClasses.reset(); // restore default tokenizer classes
-
+			
 			Object ready = binding.getVariable("readyToLoad"); //$NON-NLS-1$
 			if (ready != null && ready instanceof Boolean) {
-				Boolean readyToLoad = (Boolean)ready;
-				//System.out.println("TRY TO LOAD THE BINARY CORPUS CREATED: "+basedir);
+				Boolean readyToLoad = (Boolean) ready;
+				// System.out.println("TRY TO LOAD THE BINARY CORPUS CREATED: "+basedir);
 				if (readyToLoad) {
 					
 					project.saveParameters(true);
 					
 					if (monitor != null) monitor.setTaskName(TXMCoreMessages.common_done);
 					
-//					Log.info(GroovyMessages.restartingToolboxSearchengines);
-//					Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
+					// Log.info(GroovyMessages.restartingToolboxSearchengines);
+					// Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
 					if (project.getDoUpdate()) {
 						Log.info(NLS.bind(TXMCoreMessages.corpusImportDoneInP0, ExecTimer.stop()));
-					} else {
+					}
+					else {
 						Log.info(NLS.bind(TXMCoreMessages.corpusUpdateDoneInP0, ExecTimer.stop()));
 					}
 					
-				} else {
+				}
+				else {
 					Log.fine(GroovyMessages.errorImportNotCorrectlyEndedSeeConsoleMessages);
 					
 					if (!project.getDoUpdate()) { // clear all
 						project.deleteChildren();
 					}
 					
-//					if (basedir.exists()) basedir.renameTo(errorBinDirectory);
-//					if (tempBinDirectory.exists()) tempBinDirectory.renameTo(basedir);
+					// if (basedir.exists()) basedir.renameTo(errorBinDirectory);
+					// if (tempBinDirectory.exists()) tempBinDirectory.renameTo(basedir);
 					return new Status(Status.ERROR, "org.txm.groovy.core", GroovyMessages.errorImportNotCorrectlyEndedSeeConsoleMessages);
 				}
-			} else {
+			}
+			else {
 				Log.fine(GroovyMessages.errorImportNotCorrectlyEndedSeeConsoleMessages);
 				return new Status(Status.ERROR, "org.txm.groovy.core", GroovyMessages.errorImportNotCorrectlyEndedSeeConsoleMessages);
 			}
-		} catch (ThreadDeath td) {
+		}
+		catch (ThreadDeath td) {
 			return Status.CANCEL_STATUS;
-		} catch (Exception e) {
-			//System.out.println(NLS.bind(TXMUIMessages.errorWhileRunningScriptColonP0, e));
+		}
+		catch (Exception e) {
+			// System.out.println(NLS.bind(TXMUIMessages.errorWhileRunningScriptColonP0, e));
 			Log.printStackTrace(e);
 			return new Status(Status.ERROR, "org.txm.groovy.core", e.getMessage());
-		} finally {
-//			if (!CQPSearchEngine.isInitialized()) { // the import failed
-//				monitor.setTaskName(GroovyMessages.restartingToolboxSearchengines); //$NON-NLS-1$
-//				Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
-//			}
 		}
+		finally {
+			// if (!CQPSearchEngine.isInitialized()) { // the import failed
+			// monitor.setTaskName(GroovyMessages.restartingToolboxSearchengines); //$NON-NLS-1$
+			// Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
+			// }
+		}
 		System.gc();
 		return Status.OK_STATUS;
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/TXMClassLoader.java
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/TXMClassLoader.java	(revision 2396)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/TXMClassLoader.java	(revision 2397)
@@ -12,42 +12,47 @@
  *
  */
 public class TXMClassLoader extends ClassLoader {
+	
 	private HashSet<ClassLoader> loaders;
-
+	
 	public TXMClassLoader(HashSet<ClassLoader> loaders2) {
-		this.loaders  = loaders2;
+		this.loaders = loaders2;
 	}
 	
 	@Override
-    public Class findClass(String name) throws ClassNotFoundException {
-    	
-		 // try with the System class loader
-    	try {
-    		return this.getClass().getClassLoader().loadClass(name);
-    	} catch(Exception e) {}
-    	
-        for (ClassLoader cl : loaders) {
-        	
-        	// FIXME: SJ: tests to speed up this very long process        	
-//        	if(cl instanceof EquinoxClassLoader)	{
-//        		EquinoxClassLoader ecl = (EquinoxClassLoader) cl;
-//        		
-//            	//Log.finest("TXMClassLoader.findClass(): looking for class " + name + " in bundle " + ecl.getBundle().getSymbolicName());
-//
-//            	// FIXME: trying to skip Bundle where Bundle id not matching the class package
-//            	String pack = name.split("\\$")[0];
-//            	if(!ecl.getBundle().getSymbolicName().startsWith(pack))	{
-//                	// FIXME: SJ: for debugging to speed up the process
-//                	//Log.finest("TXMClassLoader.findClass(): skipping bundle " + ecl.getBundle().getSymbolicName() + " for class starting with " + pack);
-//            		continue;
-//            	}
-//        	}
-//        	
-
-        	try {
-        		return cl.loadClass(name);
-        	} catch(Exception e) {}
-        }
-        throw new ClassNotFoundException(name);
-    }
+	public Class findClass(String name) throws ClassNotFoundException {
+		
+		// try with the System class loader
+		try {
+			return this.getClass().getClassLoader().loadClass(name);
+		}
+		catch (Exception e) {
+		}
+		
+		for (ClassLoader cl : loaders) {
+			
+			// FIXME: SJ: tests to speed up this very long process
+			// if(cl instanceof EquinoxClassLoader) {
+			// EquinoxClassLoader ecl = (EquinoxClassLoader) cl;
+			//
+			// //Log.finest("TXMClassLoader.findClass(): looking for class " + name + " in bundle " + ecl.getBundle().getSymbolicName());
+			//
+			// // FIXME: trying to skip Bundle where Bundle id not matching the class package
+			// String pack = name.split("\\$")[0];
+			// if(!ecl.getBundle().getSymbolicName().startsWith(pack)) {
+			// // FIXME: SJ: for debugging to speed up the process
+			// //Log.finest("TXMClassLoader.findClass(): skipping bundle " + ecl.getBundle().getSymbolicName() + " for class starting with " + pack);
+			// continue;
+			// }
+			// }
+			//
+			
+			try {
+				return cl.loadClass(name);
+			}
+			catch (Exception e) {
+			}
+		}
+		throw new ClassNotFoundException(name);
+	}
 }
Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyPreferences.java
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyPreferences.java	(revision 2396)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyPreferences.java	(revision 2397)
@@ -1,17 +1,19 @@
 package org.txm.groovy.core;
+
 import org.txm.core.preferences.TXMPreferences;
 
 public class GroovyPreferences extends TXMPreferences {
 	
-	public static final String PREFERENCES_NODE = GroovyPreferences.class.getName();//FrameworkUtil.getBundle(RPreferences.class).getSymbolicName();
-
+	public static final String PREFERENCES_NODE = GroovyPreferences.class.getName();// FrameworkUtil.getBundle(RPreferences.class).getSymbolicName();
+	
 	public static final String VERSION = "version";
 	
 	/**
 	 * Gets the instance.
+	 * 
 	 * @return the instance
 	 */
-	public static TXMPreferences getInstance()	{
+	public static TXMPreferences getInstance() {
 		if (!TXMPreferences.instances.containsKey(GroovyPreferences.class)) {
 			new GroovyPreferences();
 		}
